## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csRenderMeshModes Struct Reference
[3D]

Mesh render mode information. More...

`#include <ivideo/rendermesh.h>`

Inheritance diagram for csRenderMeshModes:

[legend]
List of all members.

## Public Member Functions

| csRenderMeshModes ()
| ~csRenderMeshModes ()

## Public Attributes

csAlphaMode::AlphaType | alphaType
| Alpha mode this mesh is drawn.
csRef< csRenderBufferHolder > | buffers
| Holder of default render buffers.
uint | mixmode
| mixmode to use
csZBufMode | z_buf_mode
| Z mode to use.

## Detailed Description

Mesh render mode information.

Contains the Z, mix and alpha modes to use for rendering a mesh.

Remarks:
  Is separate from csCoreRenderMesh to allow preprocessing steps to modify the mode data.

Definition at line 46 of file rendermesh.h.

## Member Data Documentation

csAlphaMode::AlphaType csRenderMeshModes::alphaType

| Alpha mode this mesh is drawn. Definition at line 64 of file rendermesh.h. Referenced by csRenderMeshModes().

csRef<csRenderBufferHolder> csRenderMeshModes::buffers

| Holder of default render buffers. Definition at line 67 of file rendermesh.h.

uint csRenderMeshModes::mixmode

| mixmode to use Definition at line 61 of file rendermesh.h. Referenced by csRenderMeshModes().

csZBufMode csRenderMeshModes::z_buf_mode

| Z mode to use. Definition at line 58 of file rendermesh.h. Referenced by csRenderMeshModes().

The documentation for this struct was generated from the following file:

- ivideo/rendermesh.h